org.apache.pdfbox.pdmodel.interactive.annotation.handlers

## Class PDInkAppearanceHandler

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.annotation.handlers.PDAbstractAppearanceHandler
  - - org.apache.pdfbox.pdmodel.interactive.annotation.handlers.PDInkAppearanceHandler

All Implemented Interfaces:
  PDAppearanceHandler

    public class PDInkAppearanceHandler
    extends PDAbstractAppearanceHandler

Handler to generate the ink annotations appearance.

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.annotation.handlers.PDAbstractAppearanceHandler

`ANGLED_STYLES, document, INTERIOR_COLOR_STYLES, SHORT_STYLES`

### Constructor Summary

Constructors
Constructor and Description
`PDInkAppearanceHandler(PDAnnotation annotation)`
`PDInkAppearanceHandler(PDAnnotation annotation, PDDocument document)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `generateDownAppearance()`
`void` `generateNormalAppearance()`
`void` `generateRolloverAppearance()`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.annotation.handlers.PDAbstractAppearanceHandler

`createCOSStream, generateAppearanceStreams`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDInkAppearanceHandler

    public PDInkAppearanceHandler(PDAnnotation annotation)

#### PDInkAppearanceHandler

    public PDInkAppearanceHandler(PDAnnotation annotation,
                                  PDDocument document)

### Method Detail

#### generateNormalAppearance

    public void generateNormalAppearance()

#### generateRolloverAppearance

    public void generateRolloverAppearance()

#### generateDownAppearance

    public void generateDownAppearance()